Bug 479288 - [QLOGIC 5.4 feat] Add qlge 10Gb ethernet driver
[QLOGIC 5.4 feat] Add qlge 10Gb ethernet driver
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
high Severity high
: beta
: 5.4
Assigned To: Marcus Barrow
Red Hat Kernel QE team
: FutureFeature, OtherQA
: 475660 475662 497413 501429 (view as bug list)
Depends On:
Blocks: 445204 460170 483701 483784 497413 501429 502909 504034
  Show dependency treegraph
 
Reported: 2009-01-08 12:09 EST by Marcus Barrow
Modified: 2011-12-02 14:06 EST (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 504034 (view as bug list)
Environment:
Last Closed: 2009-09-02 04:28:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
QLGE nic driver (260.87 KB, patch)
2009-04-07 22:17 EDT, Marcus Barrow
no flags Details | Diff
reformatted and updated to p12 (320.41 KB, patch)
2009-06-07 22:23 EDT, Marcus Barrow
no flags Details | Diff
P4 version (281.81 KB, patch)
2009-06-10 10:40 EDT, Marcus Barrow
no flags Details | Diff

  None (edit)
Description Marcus Barrow 2009-01-08 12:09:21 EST
The new FCoE CNA's ( Converged Network Adapters ) support an ethernet function too which requires it's own driver. This driver, QLGE, is upstream in 2.6.28.

BZ's 475662 and 475660 are feature requests from IBM for this functionality on their new blade servers. Redhat will require a hardware upgrade for their current blade server test systems in order to test this product.
Comment 1 Andrius Benokraitis 2009-01-08 14:06:15 EST
*** Bug 475662 has been marked as a duplicate of this bug. ***
Comment 2 Andrius Benokraitis 2009-01-08 14:06:57 EST
*** Bug 475660 has been marked as a duplicate of this bug. ***
Comment 5 IBM Bug Proxy 2009-02-09 17:34:04 EST
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> -
1. Feature Overview:
Feature Id:	[201794]
a. Name of Feature:	Qlogic CNA Support
b. Feature Description
This request is to support Qlogic's CNA implementation.  We expect updates to the qla2xxx driver to
be required for fibre channel and a new driver, qlge, will be required to support ethernet.

Additional Comments:	Updated drivers for qla2xxx and qlge.

5.4 driver update request for qla2xxx: https://bugzilla.redhat.com/show_bug.cgi?id=475325

2. Feature Details:
Sponsor:	xSeries
Architectures:
x86
x86_64

Arch Specificity: Both
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from community
Category:	Kernel
Request Type:	Driver - New from Upstream
d. Upstream Acceptance:	In Progress
Sponsor Priority	1
f. Severity: High
IBM Confidential:	yes
Code Contribution:	no
g. Component Version Target:

3. Business Case
We expect CNA technology to be widely available in 2009 and expect large customer adoption.

4. Primary contact at Red Hat:
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Monte Knutson, mknutson@us.ibm.com, 877-894-1495

Technical contact(s):
Kevin Stansell, kstansel@us.ibm.com
Chris McDermott, mcdermoc@us.ibm.com

IBM Manager:
Julio Alvarez, julioa@us.ibm.com
IBM is signed up to test and provide feedback.
*** This bug has been marked as a duplicate of 479288 ***



Feature Id:	[201778]
a. Name of Feature:	Add device driver qlge in order to support the Qlogic FCoE 10Gb adapter
Device driver qlge is a new NIC driver in kernel 2.6.28. It is the NIC driver for the new Qlogic
10Gb Convergence Enhanced Ethernet adapter. This driver is essential for supporting this device
which is scheduled to be GAed by 4Q/2009 on Power6 systems and blades.

There is also a System x request for this driver: https://bugzilla.redhat.com/show_bug.cgi?id=475660

Sponsor:	PPC
ppc64

Arch Specificity: Purely Common Code
Delivery Mechanism: Device Driver
Category:	Device Drivers and IO
d. Upstream Acceptance:	Accepted
Code Contribution:	3rd party code
g. Component Version Target:	TBD

The Qlogic 10Gb FCoE adapter is to offer the Power IO an update of the convergence technology for
Storages network.

Stephanie Glass, sglass@us.ibm.com, 512-838-9284

Daisy Chang, daisyc@us.ibm.com

Paul Larson, plars@us.ibm.com
Comment 6 RHEL Product and Program Management 2009-02-16 10:17:25 EST
Updating PM score.
Comment 8 John Jarvis 2009-03-31 14:05:40 EDT
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.
Comment 9 Marcus Barrow 2009-04-07 22:17:41 EDT
Created attachment 338645 [details]
QLGE nic driver
Comment 10 IBM Bug Proxy 2009-05-21 12:10:37 EDT
------- Comment From leitao@linux.vnet.ibm.com 2009-05-21 12:07 EDT-------
Red Hat,

I didn't see the qlge driver on -148 yet. When did you plan to release the driver in the kernel releases ?

Thanks
Breno
Comment 12 Andy Gospodarek 2009-05-21 13:33:30 EDT
The driver originally submitted by qlogic was not acceptable to us for a variety of reasons (the main one being the driver did not support NAPI).

We hope it will be ready soon.
Comment 17 Marcus Barrow 2009-06-07 22:23:24 EDT
Created attachment 346799 [details]
reformatted and updated to p12


This driver was reformatted and updated to version P12.
Comment 18 IBM Bug Proxy 2009-06-08 14:50:45 EDT
------- Comment From daisyc@us.ibm.com 2009-06-08 14:44 EDT-------
Red Hat,

We just want to let you know that we are monitoring Qlogic's qlge driver RHEL5.4 situation as we are very concerned about it.  One of our 3Q Power IO hardware GA items is depending on this feature.

We understand that you are in a reviewing process with Qlogic in determining the inclusion of the driver. We at IBM are working with Qlogic through daily meetings to try to see them through this process.  We are offering our engineers and Power system/adapter equipment to do additional verifications on every one of their codedrops, hoping that it can help on building the confidence level on the quality of the code.

Please do not hesitate to let us know if there is anything that we can help to make sure that Qlogic can make progress on this.  Thanks.
Comment 20 Marcus Barrow 2009-06-10 10:40:19 EDT
Created attachment 347230 [details]
P4 version


This is version p4. it contains fixes suggested by Neil Horman.
Comment 21 Andrius Benokraitis 2009-06-10 18:15:03 EDT
I think this should be in POST. Marcus, correct me if I'm wrong here.
Comment 24 Andrius Benokraitis 2009-06-11 23:55:08 EDT
*** Bug 497413 has been marked as a duplicate of this bug. ***
Comment 25 Andrius Benokraitis 2009-06-11 23:55:31 EDT
*** Bug 501429 has been marked as a duplicate of this bug. ***
Comment 26 Don Zickus 2009-06-18 10:50:51 EDT
in kernel-2.6.18-154.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 28 IBM Bug Proxy 2009-06-22 15:02:39 EDT
------- Comment From leitao@linux.vnet.ibm.com 2009-06-22 12:30 EDT-------
I Just completed the FVT on this driver, and I didn't find any new issue on the driver.
Comment 29 Chris Ward 2009-07-03 14:19:31 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 30 Chris Ward 2009-07-10 15:09:23 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 1 Released! ~~

RHEL 5.4 Snapshot 1 has been released on partners.redhat.com. If you have already reported your test results, you can safely ignore this request. Otherwise, please notice that there should be a fix available now that addresses this particular request. Please test and report back your results here, at your earliest convenience. The RHEL 5.4 exception freeze is quickly approaching.

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other appropriate customer representative.
Comment 31 IBM Bug Proxy 2009-07-13 20:21:44 EDT
------- Comment From pbogdanovic@us.ibm.com 2009-07-13 20:12 EDT-------
I have been working with the monteo daughter card and the qlge driver in
2.6.18-156 in the bladeceterH in EL9. I performed TCP_STREAM and
TCP_MAERTS tests. Early results are that the send performance seems to
be very good, 7-9 Gb/s depending on the system receiving the steam. When
the monteo is receiving the tcp stream the performance is always pretty
lousy about 3.5 Gb/s. I should make sure that I have the latest firmware
and try again. This is just what first touch testing revealed.
Comment 32 Marcus Barrow 2009-07-13 20:45:24 EDT
The snap 3 build will contain patches to provide msix functionality. It should be available in a day or two.

Perhaps this will improve read thruput.
Comment 33 Marcus Barrow 2009-07-28 10:22:22 EDT
Verified by RedHat, IBM and QLogic.
Comment 34 Caspar Zhang 2009-07-29 01:11:39 EDT
Verified the patch to this bug is included in kernel-2.6.18-160.el5
Comment 36 errata-xmlrpc 2009-09-02 04:28:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.